
import mircoders.localizer.MirLocalizerExc;
import mircoders.localizer.MirLocalizerFailure;
import mircoders.localizer.basic.MirBasicAdminInterfaceLocalizer;
import mircoders.module.ModuleArticleType;
import mircoders.storage.DatabaseArticleType;

public class NYCAdminInterfaceLocalizer extends MirBasicAdminInterfaceLocalizer {
  public NYCAdminInterfaceLocalizer() throws MirLocalizerFailure, MirLocalizerExc {

    super();

    try {
      ModuleArticleType module = new ModuleArticleType();
      addSimpleArticleOperation(new ModifyArticleFieldOperation("unhide", "is_published", "1", true));
      addSimpleArticleOperation(new ModifyArticleFieldOperation("hide", "is_published", "0", true));

      addSimpleArticleOperation(new ChangeArticleFieldOperation("promote", "to_article_type",
          module.articleTypeIdForName("newswire"), module.articleTypeIdForName("promotednewswire"), true));
      addSimpleArticleOperation(new ChangeArticleFieldOperation("demote", "to_article_type",
          module.articleTypeIdForName("promotednewswire"), module.articleTypeIdForName("newswire"), true));
      addSimpleArticleOperation(new ChangeArticleFieldOperation("promote", "to_article_type",
          module.articleTypeIdForName("communityrssarticle"), module.articleTypeIdForName("promotedcommunityarticle"), true));
      addSimpleArticleOperation(new ChangeArticleFieldOperation("demote", "to_article_type",
          module.articleTypeIdForName("promotedcommunityarticle"), module.articleTypeIdForName("communityrssarticle"), true));
    }
    catch (Throwable t) {
      throw new MirLocalizerFailure(t);
    }
  }
}


